SettableUncompressedStream (ORC Core 1.5.6 API)
Date: 2019-06-27

org.apache.orc.impl

## Class SettableUncompressedStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.orc.impl.InStream
    - - org.apache.orc.impl.InStream.UncompressedStream
      - - org.apache.orc.impl.SettableUncompressedStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class SettableUncompressedStream
      extends InStream.UncompressedStream

  An uncompressed stream whose underlying byte buffer can be set.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.orc.impl.InStream

      `InStream.UncompressedStream`

  - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.InStream.UncompressedStream

      `currentOffset`

    - ### Fields inherited from class org.apache.orc.impl.InStream

      `name, PROTOBUF_MESSAGE_MAX_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettableUncompressedStream(String name, List<DiskRange> input, long length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBuffers(DiskRangeInfo diskRangeInfo)`

    - ### Methods inherited from class org.apache.orc.impl.InStream.UncompressedStream

      `available, close, read, read, reset, seek, seek, toString`

    - ### Methods inherited from class org.apache.orc.impl.InStream

      `create, create, createCodedInputStream, getStreamLength, getStreamName`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SettableUncompressedStream

          public SettableUncompressedStream(String name,
                                            List<DiskRange> input,
                                            long length)

  - ### Method Detail

    - #### setBuffers

          public void setBuffers(DiskRangeInfo diskRangeInfo)

Copyright © 2013–2019 The Apache Software Foundation. All rights reserved.